Loading...
Searching...
No Matches
BALL::RMSDMinimizer Class Reference
Molecular Modeling » Molecular Structure » Mapping of molecular structures

`#include <BALL/STRUCTURE/RMSDMinimizer.h>`

## Classes

class | IncompatibleCoordinateSets
class | TooFewCoordinates

## Public Types

typedef std::vector< Vector3 > | PointVector
typedef std::pair< Matrix4x4, double > | Result

## Static Public Member Functions

static Result | computeTransformation (const AtomBijection &ab)
static Result | computeTransformation (const PointVector &X, const PointVector &Y)
static double | minimizeRMSD (AtomContainer &a, AtomContainer &b)

## Detailed Description

RMSD minimizer class. This class computes the optimal transformation mapping one set of three-dimensional points onto another set of points. It implements the algorithm by Coutsalis et al. (J. Comput. Chem., 25(15), 1849 (2004)), which computes the RMSD-optimal transformation by solving an eigenvalue problem.

Definition at line 29 of file RMSDMinimizer.h.

## Member Typedef Documentation

## PointVector

typedef std::vector<Vector3> BALL::RMSDMinimizer::PointVector

Definition at line 46 of file RMSDMinimizer.h.

## Result

typedef std::pair<Matrix4x4, double> BALL::RMSDMinimizer::Result

Definition at line 47 of file RMSDMinimizer.h.

## Member Function Documentation

## computeTransformation() [1/2]

Result BALL::RMSDMinimizer::computeTransformation | ( | const AtomBijection & | ab | ) |

static

Exceptions

  BALL::RMSDMinimizer::IncompatibleCoordinateSets |
  BALL::RMSDMinimizer::TooFewCoordinates |

## computeTransformation() [2/2]

Result BALL::RMSDMinimizer::computeTransformation | ( | const PointVector & | X,
|  | const PointVector & | Y )

static

Exceptions

  BALL::RMSDMinimizer::IncompatibleCoordinateSets |
  BALL::RMSDMinimizer::TooFewCoordinates |

## minimizeRMSD()

double BALL::RMSDMinimizer::minimizeRMSD | ( | AtomContainer & | a,
|  | AtomContainer & | b )

static

Exceptions

  BALL::RMSDMinimizer::IncompatibleCoordinateSets |
  BALL::RMSDMinimizer::TooFewCoordinates |